Post
Create posts
Creates one or more posts as a cluster. Supports draft, scheduled, or immediate publishing modes.
Base URL
https://app.usesaki.com/apipost
/spaces/{space}/postsCreate posts
Creates one or more posts as a cluster. Supports draft, scheduled, or immediate publishing modes.
Authorization
Bearer <token>Path Parameters
spacerequiredstringRequest Bodyrequired
application/jsonatinteger | nullis_draftbooleanspace_idrequiredintegerrequired
object[]Response
curl -X POST "https://app.usesaki.com/api/spaces/{space}/posts" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"at": 0,
"is_draft": true,
"space_id": 0,
"items": [
{
"account_id": 0,
"social": "string",
"children": [
{
"content": "string",
"media": [
{
"id": 0,
"type": "image"
}
]
}
],
"metadata": {
"topic_tag": "string",
"post_type": "string",
"link": "https://example.com",
"privacy_level": "string",
"allow_comments": true,
"allow_duet": true,
"allow_stitch": true,
"branded_content": true,
"brand_organic": true,
"board_id": "string",
"title": "string",
"cover_image_url": "https://example.com"
},
"main": {
"content": "string",
"media": [
{
"id": 0,
"type": "image"
}
]
}
}
]
}'Response
{}